const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页
export default [
    {
        path:'/',
        component:home,
        name:'审批管理',
        hidden:false,
        icon_path: require('@/assets/img/home/data_ic.png'),
        children:[{
            path:'approveList',
            name:'审批列表',
            component:()=>import('@/views/approve_manage/approveList.vue'),
            hidden:false
        },{
            path:'approveDetail',
            name:'审批详情',
            component:()=>import('@/views/approve_manage/approveDetail.vue'),
            hidden:false,
            meta: {
                pathFrom: "approveList",
                pathName: "审批列表",
                keepAlive: false,
              },
        }
        ]
    }
]