// 一些常量
import { defaultOpts } from '@/utils/defaultOptions';

export const predefineColors = defaultOpts.colors.slice(0, 2); //定义颜色蓝，红 默认颜色

//可选线条样式
export const lineStylesOpts = [
  { value: 'Solid',svg:`<g clip-path="url(#clip0_2634_4692)"><rect x="-14" y="4" width="116" height="2" fill="#333333"/></g>
  <defs><clipPath id="clip0_2634_4692"><rect width="88" height="10" fill="white"/></clipPath></defs>` },
  { value: 'LongDash',svg:`<g clip-path="url(#clip0_2634_4883)">
  <rect x="-4.5" y="4" width="13" height="2" rx="1" fill="#333333"/>
  <rect x="9.5" y="4" width="13" height="2" rx="1" fill="#333333"/>
  <rect x="23.5" y="4" width="13" height="2" rx="1" fill="#333333"/>
  <rect x="37.5" y="4" width="13" height="2" rx="1" fill="#333333"/>
  <rect x="51.5" y="4" width="13" height="2" rx="1" fill="#333333"/>
  <rect x="65.5" y="4" width="13" height="2" rx="1" fill="#333333"/>
  <rect x="79.5" y="4" width="13" height="2" rx="1" fill="#333333"/></g><defs><clipPath id="clip0_2634_4883"><rect width="88" height="10" fill="white"/></clipPath></defs>` },
  { value: 'ShortDash',svg:`<g clip-path="url(#clip0_2634_4865)">
  <rect x="-0.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="6.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="13.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="20.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="27.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="34.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="41.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="48.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="55.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="62.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="69.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="76.5" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <rect x="83.5" y="4" width="5" height="2" rx="1" fill="#333333"/></g><defs><clipPath id="clip0_2634_4865"><rect width="88" height="10" fill="white"/></clipPath></defs>` },
  { value: 'Dash',svg:`<g clip-path="url(#clip0_2634_4706)">
  <rect x="-0.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="6.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="13.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="20.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="27.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="34.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="41.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="48.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="55.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="62.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="69.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="76.5" y="4" width="5" height="2" fill="#333333"/>
  <rect x="83.5" y="4" width="5" height="2" fill="#333333"/></g><defs><clipPath id="clip0_2634_4706"><rect width="88" height="10" fill="white"/></clipPath></defs>` },
  { value: 'Dot',svg:`<g clip-path="url(#clip0_2634_4843)"><circle cx="2" cy="5" r="1" fill="#333333"/><circle cx="8" cy="5" r="1" fill="#333333"/><circle cx="14" cy="5" r="1" fill="#333333"/><circle cx="20" cy="5" r="1" fill="#333333"/><circle cx="26" cy="5" r="1" fill="#333333"/><circle cx="32" cy="5" r="1" fill="#333333"/><circle cx="38" cy="5" r="1" fill="#333333"/><circle cx="44" cy="5" r="1" fill="#333333"/><circle cx="50" cy="5" r="1" fill="#333333"/><circle cx="56" cy="5" r="1" fill="#333333"/><circle cx="62" cy="5" r="1" fill="#333333"/><circle cx="68" cy="5" r="1" fill="#333333"/><circle cx="74" cy="5" r="1" fill="#333333"/><circle cx="80" cy="5" r="1" fill="#333333"/><circle cx="86" cy="5" r="1" fill="#333333"/></g><defs><clipPath id="clip0_2634_4843"><rect width="88" height="10" fill="white"/></clipPath></defs>` },
  { value: 'DashDot',svg:`<g clip-path="url(#clip0_2634_4893)">
  <circle cx="2" cy="5" r="1" fill="#333333"/>
  <rect x="4" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="11" cy="5" r="1" fill="#333333"/>
  <rect x="13" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="20" cy="5" r="1" fill="#333333"/>
  <rect x="22" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="29" cy="5" r="1" fill="#333333"/>
  <rect x="31" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="38" cy="5" r="1" fill="#333333"/>
  <rect x="40" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="47" cy="5" r="1" fill="#333333"/>
  <rect x="49" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="56" cy="5" r="1" fill="#333333"/>
  <rect x="58" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="65" cy="5" r="1" fill="#333333"/>
  <rect x="67" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="74" cy="5" r="1" fill="#333333"/>
  <rect x="76" y="4" width="5" height="2" rx="1" fill="#333333"/>
  <circle cx="83" cy="5" r="1" fill="#333333"/>
  <rect x="85" y="4" width="5" height="2" rx="1" fill="#333333"/></g><defs><clipPath id="clip0_2634_4893"><rect width="88" height="10" fill="white"/></clipPath></defs>` },
]

//垂直位置 上中下
export const verticalPositions = [
  { label: '顶部',value: 'top' },
  { label: '居中',value: 'middle' },
  { label: '底部',value: 'bottom' },
]
//水平位置
export const alignPositions = [
  { value: 'left',svg:`<path d="M96 128h832v96H96zM96 576h832v96H96zM96 352h576v96H96zM96 800h576v96H96z" p-id="4976"></path>` },
  { value: 'center',svg:`<path d="M96 128h832v96H96zM96 576h832v96H96zM224 352h576v96H224zM224 800h576v96H224z" p-id="6951"></path>` },
  { value: 'right',svg:`<path d="M96 128h832v96H96zM96 576h832v96H96zM352 352h576v96H352zM352 800h576v96H352z" p-id="5963"></path>` },
]

/* 当做标准化结构  eta默认值 几种类型图样式还区分开...*/
export const defaultETAOptions = {
  colorsOptions: defaultOpts.colors.slice(0,10),
  lineOptions: { 
    dashStyle: 'Solid',
    lineWidth: 1,
    lineType: 'spline',
    radius: 5,
  },
  legendOptions: {
    verticalAlign: 'top',
    itemStyle: {
      color: '#333',
      fontSize: 13,
      cursor: "pointer",
      fontWeight: "bold",
      textOverflow: "ellipsis"
    }
  },
  titleOptions: {
    align: 'center',
    style: {
      color: '#333',
      fontSize: 16
    }
  },
  markerOptions: {
    style: {
      color: '#333',
      fontSize: 12
    }
  },
  xAxisOptions: {
    style: {
      color: '#666',
      fontSize: 11
    }
  },
  yAxisOptions: {
    style: {
      color: '#333',
      fontSize: 11
    }
  },
  drawOption: {
    plotBackgroundColor: 'rgba(255, 255, 255, 0)'
  }
}